Skip to main content
POST
/
v0
/
alerts
Create alert
curl --request POST \
  --url https://api.formo.so/v0/alerts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "trigger_type": "event",
  "trigger_filters": [
    {
      "name": "<string>",
      "value": "<string>",
      "operator": "<string>",
      "numericThreshold": "<string>"
    }
  ],
  "recipient": [
    {
      "type": "email",
      "value": [
        "<string>"
      ]
    }
  ],
  "secret": "<string>"
}
'
{
  "isSuccess": true,
  "data": {
    "id": "<string>",
    "name": "<string>",
    "trigger_type": "event",
    "status": "active",
    "project_id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "trigger_filters": [
      {
        "name": "<string>",
        "value": "<string>",
        "operator": "<string>",
        "numericThreshold": "<string>"
      }
    ],
    "recipient": [
      {
        "type": "email",
        "value": [
          "<string>"
        ]
      }
    ],
    "has_secret": true
  }
}

Authorizations

Authorization
string
header
required

Workspace API key (e.g. formo_xxx). Create one in the Formo dashboard under Team Settings > API Keys.

Body

application/json
name
string
required
Minimum string length: 1
trigger_type
enum<string>
required
Available options:
event,
user
trigger_filters
object[]
required
recipient
object[]
secret
string

Webhook signing secret

Response

201 - application/json

Alert created

isSuccess
boolean
data
object